Shipments
Retrieve shipment
Retrieve shipment
curl --request GET \
--url https://{tenant}.api.velocity.medshift.com/integrations/zapier/v1/shipments/{id}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant}.api.velocity.medshift.com/integrations/zapier/v1/shipments/{id}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant}.api.velocity.medshift.com/integrations/zapier/v1/shipments/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bigcommerce_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tracking_number": "<string>",
"tracking_url": "<string>",
"ship_date": "2023-12-25",
"notes": "<string>",
"from_address": {
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"phone": "<string>",
"street_1": "<string>",
"street_2": "<string>",
"city": "<string>",
"state_province": "<string>",
"postal_code": "<string>",
"country_iso2": "<string>"
},
"to_address": {
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"phone": "<string>",
"street_1": "<string>",
"street_2": "<string>",
"city": "<string>",
"state_province": "<string>",
"postal_code": "<string>",
"country_iso2": "<string>"
},
"items": [
{
"line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"lot_serial": "<string>",
"notes": "<string>"
}
],
"custom_fields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"value": null
}
]
}Authorizations
Path Parameters
Response
200 - application/json
stamps_com- Stamps.comusps- USPSfedex- FedExups- UPScanada_post- Canada Postaustralia_post- Australia Postother- Other
Available options:
stamps_com, usps, fedex, ups, canada_post, australia_post, other Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Retrieve shipment

